IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network158.140.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
158.140.0.0- Broadcast address
158.143.255.255- First usable
158.140.0.1- Last usable
158.143.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
9E8C0000· Integer2659975168to2660237311 - Reverse DNS zones
140.158.in-addr.arpa141.158.in-addr.arpa142.158.in-addr.arpa143.158.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10011110.10001100.00000000.00000000 | 158.140.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 10011110.10001100.00000000.00000000 | 158.140.0.0 |
| Broadcast | 10011110.10001111.11111111.11111111 | 158.143.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
158.140.0.0/14 makes 256 subnets of /22.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 158.140.0.0/22 | 158.140.0.1 to 158.140.3.254 | 158.140.3.255 | 1,022 |
| 2 | 158.140.4.0/22 | 158.140.4.1 to 158.140.7.254 | 158.140.7.255 | 1,022 |
| 3 | 158.140.8.0/22 | 158.140.8.1 to 158.140.11.254 | 158.140.11.255 | 1,022 |
| 4 | 158.140.12.0/22 | 158.140.12.1 to 158.140.15.254 | 158.140.15.255 | 1,022 |
| 5 | 158.140.16.0/22 | 158.140.16.1 to 158.140.19.254 | 158.140.19.255 | 1,022 |
| 6 | 158.140.20.0/22 | 158.140.20.1 to 158.140.23.254 | 158.140.23.255 | 1,022 |
| 7 | 158.140.24.0/22 | 158.140.24.1 to 158.140.27.254 | 158.140.27.255 | 1,022 |
| 8 | 158.140.28.0/22 | 158.140.28.1 to 158.140.31.254 | 158.140.31.255 | 1,022 |
| 9 | 158.140.32.0/22 | 158.140.32.1 to 158.140.35.254 | 158.140.35.255 | 1,022 |
| 10 | 158.140.36.0/22 | 158.140.36.1 to 158.140.39.254 | 158.140.39.255 | 1,022 |
| 11 | 158.140.40.0/22 | 158.140.40.1 to 158.140.43.254 | 158.140.43.255 | 1,022 |
| 12 | 158.140.44.0/22 | 158.140.44.1 to 158.140.47.254 | 158.140.47.255 | 1,022 |
| 13 | 158.140.48.0/22 | 158.140.48.1 to 158.140.51.254 | 158.140.51.255 | 1,022 |
| 14 | 158.140.52.0/22 | 158.140.52.1 to 158.140.55.254 | 158.140.55.255 | 1,022 |
| 15 | 158.140.56.0/22 | 158.140.56.1 to 158.140.59.254 | 158.140.59.255 | 1,022 |
| 16 | 158.140.60.0/22 | 158.140.60.1 to 158.140.63.254 | 158.140.63.255 | 1,022 |
| 17 | 158.140.64.0/22 | 158.140.64.1 to 158.140.67.254 | 158.140.67.255 | 1,022 |
| 18 | 158.140.68.0/22 | 158.140.68.1 to 158.140.71.254 | 158.140.71.255 | 1,022 |
| 19 | 158.140.72.0/22 | 158.140.72.1 to 158.140.75.254 | 158.140.75.255 | 1,022 |
| 20 | 158.140.76.0/22 | 158.140.76.1 to 158.140.79.254 | 158.140.79.255 | 1,022 |
| 21 | 158.140.80.0/22 | 158.140.80.1 to 158.140.83.254 | 158.140.83.255 | 1,022 |
| 22 | 158.140.84.0/22 | 158.140.84.1 to 158.140.87.254 | 158.140.87.255 | 1,022 |
| 23 | 158.140.88.0/22 | 158.140.88.1 to 158.140.91.254 | 158.140.91.255 | 1,022 |
| 24 | 158.140.92.0/22 | 158.140.92.1 to 158.140.95.254 | 158.140.95.255 | 1,022 |
| 25 | 158.140.96.0/22 | 158.140.96.1 to 158.140.99.254 | 158.140.99.255 | 1,022 |
| 26 | 158.140.100.0/22 | 158.140.100.1 to 158.140.103.254 | 158.140.103.255 | 1,022 |
| 27 | 158.140.104.0/22 | 158.140.104.1 to 158.140.107.254 | 158.140.107.255 | 1,022 |
| 28 | 158.140.108.0/22 | 158.140.108.1 to 158.140.111.254 | 158.140.111.255 | 1,022 |
| 29 | 158.140.112.0/22 | 158.140.112.1 to 158.140.115.254 | 158.140.115.255 | 1,022 |
| 30 | 158.140.116.0/22 | 158.140.116.1 to 158.140.119.254 | 158.140.119.255 | 1,022 |
| 31 | 158.140.120.0/22 | 158.140.120.1 to 158.140.123.254 | 158.140.123.255 | 1,022 |
| 32 | 158.140.124.0/22 | 158.140.124.1 to 158.140.127.254 | 158.140.127.255 | 1,022 |
| 33 | 158.140.128.0/22 | 158.140.128.1 to 158.140.131.254 | 158.140.131.255 | 1,022 |
| 34 | 158.140.132.0/22 | 158.140.132.1 to 158.140.135.254 | 158.140.135.255 | 1,022 |
| 35 | 158.140.136.0/22 | 158.140.136.1 to 158.140.139.254 | 158.140.139.255 | 1,022 |
| 36 | 158.140.140.0/22 | 158.140.140.1 to 158.140.143.254 | 158.140.143.255 | 1,022 |
| 37 | 158.140.144.0/22 | 158.140.144.1 to 158.140.147.254 | 158.140.147.255 | 1,022 |
| 38 | 158.140.148.0/22 | 158.140.148.1 to 158.140.151.254 | 158.140.151.255 | 1,022 |
| 39 | 158.140.152.0/22 | 158.140.152.1 to 158.140.155.254 | 158.140.155.255 | 1,022 |
| 40 | 158.140.156.0/22 | 158.140.156.1 to 158.140.159.254 | 158.140.159.255 | 1,022 |
| 41 | 158.140.160.0/22 | 158.140.160.1 to 158.140.163.254 | 158.140.163.255 | 1,022 |
| 42 | 158.140.164.0/22 | 158.140.164.1 to 158.140.167.254 | 158.140.167.255 | 1,022 |
| 43 | 158.140.168.0/22 | 158.140.168.1 to 158.140.171.254 | 158.140.171.255 | 1,022 |
| 44 | 158.140.172.0/22 | 158.140.172.1 to 158.140.175.254 | 158.140.175.255 | 1,022 |
| 45 | 158.140.176.0/22 | 158.140.176.1 to 158.140.179.254 | 158.140.179.255 | 1,022 |
| 46 | 158.140.180.0/22 | 158.140.180.1 to 158.140.183.254 | 158.140.183.255 | 1,022 |
| 47 | 158.140.184.0/22 | 158.140.184.1 to 158.140.187.254 | 158.140.187.255 | 1,022 |
| 48 | 158.140.188.0/22 | 158.140.188.1 to 158.140.191.254 | 158.140.191.255 | 1,022 |
| 49 | 158.140.192.0/22 | 158.140.192.1 to 158.140.195.254 | 158.140.195.255 | 1,022 |
| 50 | 158.140.196.0/22 | 158.140.196.1 to 158.140.199.254 | 158.140.199.255 | 1,022 |
| 51 | 158.140.200.0/22 | 158.140.200.1 to 158.140.203.254 | 158.140.203.255 | 1,022 |
| 52 | 158.140.204.0/22 | 158.140.204.1 to 158.140.207.254 | 158.140.207.255 | 1,022 |
| 53 | 158.140.208.0/22 | 158.140.208.1 to 158.140.211.254 | 158.140.211.255 | 1,022 |
| 54 | 158.140.212.0/22 | 158.140.212.1 to 158.140.215.254 | 158.140.215.255 | 1,022 |
| 55 | 158.140.216.0/22 | 158.140.216.1 to 158.140.219.254 | 158.140.219.255 | 1,022 |
| 56 | 158.140.220.0/22 | 158.140.220.1 to 158.140.223.254 | 158.140.223.255 | 1,022 |
| 57 | 158.140.224.0/22 | 158.140.224.1 to 158.140.227.254 | 158.140.227.255 | 1,022 |
| 58 | 158.140.228.0/22 | 158.140.228.1 to 158.140.231.254 | 158.140.231.255 | 1,022 |
| 59 | 158.140.232.0/22 | 158.140.232.1 to 158.140.235.254 | 158.140.235.255 | 1,022 |
| 60 | 158.140.236.0/22 | 158.140.236.1 to 158.140.239.254 | 158.140.239.255 | 1,022 |
| 61 | 158.140.240.0/22 | 158.140.240.1 to 158.140.243.254 | 158.140.243.255 | 1,022 |
| 62 | 158.140.244.0/22 | 158.140.244.1 to 158.140.247.254 | 158.140.247.255 | 1,022 |
| 63 | 158.140.248.0/22 | 158.140.248.1 to 158.140.251.254 | 158.140.251.255 | 1,022 |
| 64 | 158.140.252.0/22 | 158.140.252.1 to 158.140.255.254 | 158.140.255.255 | 1,022 |
| 65 | 158.141.0.0/22 | 158.141.0.1 to 158.141.3.254 | 158.141.3.255 | 1,022 |
| 66 | 158.141.4.0/22 | 158.141.4.1 to 158.141.7.254 | 158.141.7.255 | 1,022 |
| 67 | 158.141.8.0/22 | 158.141.8.1 to 158.141.11.254 | 158.141.11.255 | 1,022 |
| 68 | 158.141.12.0/22 | 158.141.12.1 to 158.141.15.254 | 158.141.15.255 | 1,022 |
| 69 | 158.141.16.0/22 | 158.141.16.1 to 158.141.19.254 | 158.141.19.255 | 1,022 |
| 70 | 158.141.20.0/22 | 158.141.20.1 to 158.141.23.254 | 158.141.23.255 | 1,022 |
| 71 | 158.141.24.0/22 | 158.141.24.1 to 158.141.27.254 | 158.141.27.255 | 1,022 |
| 72 | 158.141.28.0/22 | 158.141.28.1 to 158.141.31.254 | 158.141.31.255 | 1,022 |
| 73 | 158.141.32.0/22 | 158.141.32.1 to 158.141.35.254 | 158.141.35.255 | 1,022 |
| 74 | 158.141.36.0/22 | 158.141.36.1 to 158.141.39.254 | 158.141.39.255 | 1,022 |
| 75 | 158.141.40.0/22 | 158.141.40.1 to 158.141.43.254 | 158.141.43.255 | 1,022 |
| 76 | 158.141.44.0/22 | 158.141.44.1 to 158.141.47.254 | 158.141.47.255 | 1,022 |
| 77 | 158.141.48.0/22 | 158.141.48.1 to 158.141.51.254 | 158.141.51.255 | 1,022 |
| 78 | 158.141.52.0/22 | 158.141.52.1 to 158.141.55.254 | 158.141.55.255 | 1,022 |
| 79 | 158.141.56.0/22 | 158.141.56.1 to 158.141.59.254 | 158.141.59.255 | 1,022 |
| 80 | 158.141.60.0/22 | 158.141.60.1 to 158.141.63.254 | 158.141.63.255 | 1,022 |
| 81 | 158.141.64.0/22 | 158.141.64.1 to 158.141.67.254 | 158.141.67.255 | 1,022 |
| 82 | 158.141.68.0/22 | 158.141.68.1 to 158.141.71.254 | 158.141.71.255 | 1,022 |
| 83 | 158.141.72.0/22 | 158.141.72.1 to 158.141.75.254 | 158.141.75.255 | 1,022 |
| 84 | 158.141.76.0/22 | 158.141.76.1 to 158.141.79.254 | 158.141.79.255 | 1,022 |
| 85 | 158.141.80.0/22 | 158.141.80.1 to 158.141.83.254 | 158.141.83.255 | 1,022 |
| 86 | 158.141.84.0/22 | 158.141.84.1 to 158.141.87.254 | 158.141.87.255 | 1,022 |
| 87 | 158.141.88.0/22 | 158.141.88.1 to 158.141.91.254 | 158.141.91.255 | 1,022 |
| 88 | 158.141.92.0/22 | 158.141.92.1 to 158.141.95.254 | 158.141.95.255 | 1,022 |
| 89 | 158.141.96.0/22 | 158.141.96.1 to 158.141.99.254 | 158.141.99.255 | 1,022 |
| 90 | 158.141.100.0/22 | 158.141.100.1 to 158.141.103.254 | 158.141.103.255 | 1,022 |
| 91 | 158.141.104.0/22 | 158.141.104.1 to 158.141.107.254 | 158.141.107.255 | 1,022 |
| 92 | 158.141.108.0/22 | 158.141.108.1 to 158.141.111.254 | 158.141.111.255 | 1,022 |
| 93 | 158.141.112.0/22 | 158.141.112.1 to 158.141.115.254 | 158.141.115.255 | 1,022 |
| 94 | 158.141.116.0/22 | 158.141.116.1 to 158.141.119.254 | 158.141.119.255 | 1,022 |
| 95 | 158.141.120.0/22 | 158.141.120.1 to 158.141.123.254 | 158.141.123.255 | 1,022 |
| 96 | 158.141.124.0/22 | 158.141.124.1 to 158.141.127.254 | 158.141.127.255 | 1,022 |
| 97 | 158.141.128.0/22 | 158.141.128.1 to 158.141.131.254 | 158.141.131.255 | 1,022 |
| 98 | 158.141.132.0/22 | 158.141.132.1 to 158.141.135.254 | 158.141.135.255 | 1,022 |
| 99 | 158.141.136.0/22 | 158.141.136.1 to 158.141.139.254 | 158.141.139.255 | 1,022 |
| 100 | 158.141.140.0/22 | 158.141.140.1 to 158.141.143.254 | 158.141.143.255 | 1,022 |
| 101 | 158.141.144.0/22 | 158.141.144.1 to 158.141.147.254 | 158.141.147.255 | 1,022 |
| 102 | 158.141.148.0/22 | 158.141.148.1 to 158.141.151.254 | 158.141.151.255 | 1,022 |
| 103 | 158.141.152.0/22 | 158.141.152.1 to 158.141.155.254 | 158.141.155.255 | 1,022 |
| 104 | 158.141.156.0/22 | 158.141.156.1 to 158.141.159.254 | 158.141.159.255 | 1,022 |
| 105 | 158.141.160.0/22 | 158.141.160.1 to 158.141.163.254 | 158.141.163.255 | 1,022 |
| 106 | 158.141.164.0/22 | 158.141.164.1 to 158.141.167.254 | 158.141.167.255 | 1,022 |
| 107 | 158.141.168.0/22 | 158.141.168.1 to 158.141.171.254 | 158.141.171.255 | 1,022 |
| 108 | 158.141.172.0/22 | 158.141.172.1 to 158.141.175.254 | 158.141.175.255 | 1,022 |
| 109 | 158.141.176.0/22 | 158.141.176.1 to 158.141.179.254 | 158.141.179.255 | 1,022 |
| 110 | 158.141.180.0/22 | 158.141.180.1 to 158.141.183.254 | 158.141.183.255 | 1,022 |
| 111 | 158.141.184.0/22 | 158.141.184.1 to 158.141.187.254 | 158.141.187.255 | 1,022 |
| 112 | 158.141.188.0/22 | 158.141.188.1 to 158.141.191.254 | 158.141.191.255 | 1,022 |
| 113 | 158.141.192.0/22 | 158.141.192.1 to 158.141.195.254 | 158.141.195.255 | 1,022 |
| 114 | 158.141.196.0/22 | 158.141.196.1 to 158.141.199.254 | 158.141.199.255 | 1,022 |
| 115 | 158.141.200.0/22 | 158.141.200.1 to 158.141.203.254 | 158.141.203.255 | 1,022 |
| 116 | 158.141.204.0/22 | 158.141.204.1 to 158.141.207.254 | 158.141.207.255 | 1,022 |
| 117 | 158.141.208.0/22 | 158.141.208.1 to 158.141.211.254 | 158.141.211.255 | 1,022 |
| 118 | 158.141.212.0/22 | 158.141.212.1 to 158.141.215.254 | 158.141.215.255 | 1,022 |
| 119 | 158.141.216.0/22 | 158.141.216.1 to 158.141.219.254 | 158.141.219.255 | 1,022 |
| 120 | 158.141.220.0/22 | 158.141.220.1 to 158.141.223.254 | 158.141.223.255 | 1,022 |
| 121 | 158.141.224.0/22 | 158.141.224.1 to 158.141.227.254 | 158.141.227.255 | 1,022 |
| 122 | 158.141.228.0/22 | 158.141.228.1 to 158.141.231.254 | 158.141.231.255 | 1,022 |
| 123 | 158.141.232.0/22 | 158.141.232.1 to 158.141.235.254 | 158.141.235.255 | 1,022 |
| 124 | 158.141.236.0/22 | 158.141.236.1 to 158.141.239.254 | 158.141.239.255 | 1,022 |
| 125 | 158.141.240.0/22 | 158.141.240.1 to 158.141.243.254 | 158.141.243.255 | 1,022 |
| 126 | 158.141.244.0/22 | 158.141.244.1 to 158.141.247.254 | 158.141.247.255 | 1,022 |
| 127 | 158.141.248.0/22 | 158.141.248.1 to 158.141.251.254 | 158.141.251.255 | 1,022 |
| 128 | 158.141.252.0/22 | 158.141.252.1 to 158.141.255.254 | 158.141.255.255 | 1,022 |
| 129 | 158.142.0.0/22 | 158.142.0.1 to 158.142.3.254 | 158.142.3.255 | 1,022 |
| 130 | 158.142.4.0/22 | 158.142.4.1 to 158.142.7.254 | 158.142.7.255 | 1,022 |
| 131 | 158.142.8.0/22 | 158.142.8.1 to 158.142.11.254 | 158.142.11.255 | 1,022 |
| 132 | 158.142.12.0/22 | 158.142.12.1 to 158.142.15.254 | 158.142.15.255 | 1,022 |
| 133 | 158.142.16.0/22 | 158.142.16.1 to 158.142.19.254 | 158.142.19.255 | 1,022 |
| 134 | 158.142.20.0/22 | 158.142.20.1 to 158.142.23.254 | 158.142.23.255 | 1,022 |
| 135 | 158.142.24.0/22 | 158.142.24.1 to 158.142.27.254 | 158.142.27.255 | 1,022 |
| 136 | 158.142.28.0/22 | 158.142.28.1 to 158.142.31.254 | 158.142.31.255 | 1,022 |
| 137 | 158.142.32.0/22 | 158.142.32.1 to 158.142.35.254 | 158.142.35.255 | 1,022 |
| 138 | 158.142.36.0/22 | 158.142.36.1 to 158.142.39.254 | 158.142.39.255 | 1,022 |
| 139 | 158.142.40.0/22 | 158.142.40.1 to 158.142.43.254 | 158.142.43.255 | 1,022 |
| 140 | 158.142.44.0/22 | 158.142.44.1 to 158.142.47.254 | 158.142.47.255 | 1,022 |
| 141 | 158.142.48.0/22 | 158.142.48.1 to 158.142.51.254 | 158.142.51.255 | 1,022 |
| 142 | 158.142.52.0/22 | 158.142.52.1 to 158.142.55.254 | 158.142.55.255 | 1,022 |
| 143 | 158.142.56.0/22 | 158.142.56.1 to 158.142.59.254 | 158.142.59.255 | 1,022 |
| 144 | 158.142.60.0/22 | 158.142.60.1 to 158.142.63.254 | 158.142.63.255 | 1,022 |
| 145 | 158.142.64.0/22 | 158.142.64.1 to 158.142.67.254 | 158.142.67.255 | 1,022 |
| 146 | 158.142.68.0/22 | 158.142.68.1 to 158.142.71.254 | 158.142.71.255 | 1,022 |
| 147 | 158.142.72.0/22 | 158.142.72.1 to 158.142.75.254 | 158.142.75.255 | 1,022 |
| 148 | 158.142.76.0/22 | 158.142.76.1 to 158.142.79.254 | 158.142.79.255 | 1,022 |
| 149 | 158.142.80.0/22 | 158.142.80.1 to 158.142.83.254 | 158.142.83.255 | 1,022 |
| 150 | 158.142.84.0/22 | 158.142.84.1 to 158.142.87.254 | 158.142.87.255 | 1,022 |
| 151 | 158.142.88.0/22 | 158.142.88.1 to 158.142.91.254 | 158.142.91.255 | 1,022 |
| 152 | 158.142.92.0/22 | 158.142.92.1 to 158.142.95.254 | 158.142.95.255 | 1,022 |
| 153 | 158.142.96.0/22 | 158.142.96.1 to 158.142.99.254 | 158.142.99.255 | 1,022 |
| 154 | 158.142.100.0/22 | 158.142.100.1 to 158.142.103.254 | 158.142.103.255 | 1,022 |
| 155 | 158.142.104.0/22 | 158.142.104.1 to 158.142.107.254 | 158.142.107.255 | 1,022 |
| 156 | 158.142.108.0/22 | 158.142.108.1 to 158.142.111.254 | 158.142.111.255 | 1,022 |
| 157 | 158.142.112.0/22 | 158.142.112.1 to 158.142.115.254 | 158.142.115.255 | 1,022 |
| 158 | 158.142.116.0/22 | 158.142.116.1 to 158.142.119.254 | 158.142.119.255 | 1,022 |
| 159 | 158.142.120.0/22 | 158.142.120.1 to 158.142.123.254 | 158.142.123.255 | 1,022 |
| 160 | 158.142.124.0/22 | 158.142.124.1 to 158.142.127.254 | 158.142.127.255 | 1,022 |
| 161 | 158.142.128.0/22 | 158.142.128.1 to 158.142.131.254 | 158.142.131.255 | 1,022 |
| 162 | 158.142.132.0/22 | 158.142.132.1 to 158.142.135.254 | 158.142.135.255 | 1,022 |
| 163 | 158.142.136.0/22 | 158.142.136.1 to 158.142.139.254 | 158.142.139.255 | 1,022 |
| 164 | 158.142.140.0/22 | 158.142.140.1 to 158.142.143.254 | 158.142.143.255 | 1,022 |
| 165 | 158.142.144.0/22 | 158.142.144.1 to 158.142.147.254 | 158.142.147.255 | 1,022 |
| 166 | 158.142.148.0/22 | 158.142.148.1 to 158.142.151.254 | 158.142.151.255 | 1,022 |
| 167 | 158.142.152.0/22 | 158.142.152.1 to 158.142.155.254 | 158.142.155.255 | 1,022 |
| 168 | 158.142.156.0/22 | 158.142.156.1 to 158.142.159.254 | 158.142.159.255 | 1,022 |
| 169 | 158.142.160.0/22 | 158.142.160.1 to 158.142.163.254 | 158.142.163.255 | 1,022 |
| 170 | 158.142.164.0/22 | 158.142.164.1 to 158.142.167.254 | 158.142.167.255 | 1,022 |
| 171 | 158.142.168.0/22 | 158.142.168.1 to 158.142.171.254 | 158.142.171.255 | 1,022 |
| 172 | 158.142.172.0/22 | 158.142.172.1 to 158.142.175.254 | 158.142.175.255 | 1,022 |
| 173 | 158.142.176.0/22 | 158.142.176.1 to 158.142.179.254 | 158.142.179.255 | 1,022 |
| 174 | 158.142.180.0/22 | 158.142.180.1 to 158.142.183.254 | 158.142.183.255 | 1,022 |
| 175 | 158.142.184.0/22 | 158.142.184.1 to 158.142.187.254 | 158.142.187.255 | 1,022 |
| 176 | 158.142.188.0/22 | 158.142.188.1 to 158.142.191.254 | 158.142.191.255 | 1,022 |
| 177 | 158.142.192.0/22 | 158.142.192.1 to 158.142.195.254 | 158.142.195.255 | 1,022 |
| 178 | 158.142.196.0/22 | 158.142.196.1 to 158.142.199.254 | 158.142.199.255 | 1,022 |
| 179 | 158.142.200.0/22 | 158.142.200.1 to 158.142.203.254 | 158.142.203.255 | 1,022 |
| 180 | 158.142.204.0/22 | 158.142.204.1 to 158.142.207.254 | 158.142.207.255 | 1,022 |
| 181 | 158.142.208.0/22 | 158.142.208.1 to 158.142.211.254 | 158.142.211.255 | 1,022 |
| 182 | 158.142.212.0/22 | 158.142.212.1 to 158.142.215.254 | 158.142.215.255 | 1,022 |
| 183 | 158.142.216.0/22 | 158.142.216.1 to 158.142.219.254 | 158.142.219.255 | 1,022 |
| 184 | 158.142.220.0/22 | 158.142.220.1 to 158.142.223.254 | 158.142.223.255 | 1,022 |
| 185 | 158.142.224.0/22 | 158.142.224.1 to 158.142.227.254 | 158.142.227.255 | 1,022 |
| 186 | 158.142.228.0/22 | 158.142.228.1 to 158.142.231.254 | 158.142.231.255 | 1,022 |
| 187 | 158.142.232.0/22 | 158.142.232.1 to 158.142.235.254 | 158.142.235.255 | 1,022 |
| 188 | 158.142.236.0/22 | 158.142.236.1 to 158.142.239.254 | 158.142.239.255 | 1,022 |
| 189 | 158.142.240.0/22 | 158.142.240.1 to 158.142.243.254 | 158.142.243.255 | 1,022 |
| 190 | 158.142.244.0/22 | 158.142.244.1 to 158.142.247.254 | 158.142.247.255 | 1,022 |
| 191 | 158.142.248.0/22 | 158.142.248.1 to 158.142.251.254 | 158.142.251.255 | 1,022 |
| 192 | 158.142.252.0/22 | 158.142.252.1 to 158.142.255.254 | 158.142.255.255 | 1,022 |
| 193 | 158.143.0.0/22 | 158.143.0.1 to 158.143.3.254 | 158.143.3.255 | 1,022 |
| 194 | 158.143.4.0/22 | 158.143.4.1 to 158.143.7.254 | 158.143.7.255 | 1,022 |
| 195 | 158.143.8.0/22 | 158.143.8.1 to 158.143.11.254 | 158.143.11.255 | 1,022 |
| 196 | 158.143.12.0/22 | 158.143.12.1 to 158.143.15.254 | 158.143.15.255 | 1,022 |
| 197 | 158.143.16.0/22 | 158.143.16.1 to 158.143.19.254 | 158.143.19.255 | 1,022 |
| 198 | 158.143.20.0/22 | 158.143.20.1 to 158.143.23.254 | 158.143.23.255 | 1,022 |
| 199 | 158.143.24.0/22 | 158.143.24.1 to 158.143.27.254 | 158.143.27.255 | 1,022 |
| 200 | 158.143.28.0/22 | 158.143.28.1 to 158.143.31.254 | 158.143.31.255 | 1,022 |
| 201 | 158.143.32.0/22 | 158.143.32.1 to 158.143.35.254 | 158.143.35.255 | 1,022 |
| 202 | 158.143.36.0/22 | 158.143.36.1 to 158.143.39.254 | 158.143.39.255 | 1,022 |
| 203 | 158.143.40.0/22 | 158.143.40.1 to 158.143.43.254 | 158.143.43.255 | 1,022 |
| 204 | 158.143.44.0/22 | 158.143.44.1 to 158.143.47.254 | 158.143.47.255 | 1,022 |
| 205 | 158.143.48.0/22 | 158.143.48.1 to 158.143.51.254 | 158.143.51.255 | 1,022 |
| 206 | 158.143.52.0/22 | 158.143.52.1 to 158.143.55.254 | 158.143.55.255 | 1,022 |
| 207 | 158.143.56.0/22 | 158.143.56.1 to 158.143.59.254 | 158.143.59.255 | 1,022 |
| 208 | 158.143.60.0/22 | 158.143.60.1 to 158.143.63.254 | 158.143.63.255 | 1,022 |
| 209 | 158.143.64.0/22 | 158.143.64.1 to 158.143.67.254 | 158.143.67.255 | 1,022 |
| 210 | 158.143.68.0/22 | 158.143.68.1 to 158.143.71.254 | 158.143.71.255 | 1,022 |
| 211 | 158.143.72.0/22 | 158.143.72.1 to 158.143.75.254 | 158.143.75.255 | 1,022 |
| 212 | 158.143.76.0/22 | 158.143.76.1 to 158.143.79.254 | 158.143.79.255 | 1,022 |
| 213 | 158.143.80.0/22 | 158.143.80.1 to 158.143.83.254 | 158.143.83.255 | 1,022 |
| 214 | 158.143.84.0/22 | 158.143.84.1 to 158.143.87.254 | 158.143.87.255 | 1,022 |
| 215 | 158.143.88.0/22 | 158.143.88.1 to 158.143.91.254 | 158.143.91.255 | 1,022 |
| 216 | 158.143.92.0/22 | 158.143.92.1 to 158.143.95.254 | 158.143.95.255 | 1,022 |
| 217 | 158.143.96.0/22 | 158.143.96.1 to 158.143.99.254 | 158.143.99.255 | 1,022 |
| 218 | 158.143.100.0/22 | 158.143.100.1 to 158.143.103.254 | 158.143.103.255 | 1,022 |
| 219 | 158.143.104.0/22 | 158.143.104.1 to 158.143.107.254 | 158.143.107.255 | 1,022 |
| 220 | 158.143.108.0/22 | 158.143.108.1 to 158.143.111.254 | 158.143.111.255 | 1,022 |
| 221 | 158.143.112.0/22 | 158.143.112.1 to 158.143.115.254 | 158.143.115.255 | 1,022 |
| 222 | 158.143.116.0/22 | 158.143.116.1 to 158.143.119.254 | 158.143.119.255 | 1,022 |
| 223 | 158.143.120.0/22 | 158.143.120.1 to 158.143.123.254 | 158.143.123.255 | 1,022 |
| 224 | 158.143.124.0/22 | 158.143.124.1 to 158.143.127.254 | 158.143.127.255 | 1,022 |
| 225 | 158.143.128.0/22 | 158.143.128.1 to 158.143.131.254 | 158.143.131.255 | 1,022 |
| 226 | 158.143.132.0/22 | 158.143.132.1 to 158.143.135.254 | 158.143.135.255 | 1,022 |
| 227 | 158.143.136.0/22 | 158.143.136.1 to 158.143.139.254 | 158.143.139.255 | 1,022 |
| 228 | 158.143.140.0/22 | 158.143.140.1 to 158.143.143.254 | 158.143.143.255 | 1,022 |
| 229 | 158.143.144.0/22 | 158.143.144.1 to 158.143.147.254 | 158.143.147.255 | 1,022 |
| 230 | 158.143.148.0/22 | 158.143.148.1 to 158.143.151.254 | 158.143.151.255 | 1,022 |
| 231 | 158.143.152.0/22 | 158.143.152.1 to 158.143.155.254 | 158.143.155.255 | 1,022 |
| 232 | 158.143.156.0/22 | 158.143.156.1 to 158.143.159.254 | 158.143.159.255 | 1,022 |
| 233 | 158.143.160.0/22 | 158.143.160.1 to 158.143.163.254 | 158.143.163.255 | 1,022 |
| 234 | 158.143.164.0/22 | 158.143.164.1 to 158.143.167.254 | 158.143.167.255 | 1,022 |
| 235 | 158.143.168.0/22 | 158.143.168.1 to 158.143.171.254 | 158.143.171.255 | 1,022 |
| 236 | 158.143.172.0/22 | 158.143.172.1 to 158.143.175.254 | 158.143.175.255 | 1,022 |
| 237 | 158.143.176.0/22 | 158.143.176.1 to 158.143.179.254 | 158.143.179.255 | 1,022 |
| 238 | 158.143.180.0/22 | 158.143.180.1 to 158.143.183.254 | 158.143.183.255 | 1,022 |
| 239 | 158.143.184.0/22 | 158.143.184.1 to 158.143.187.254 | 158.143.187.255 | 1,022 |
| 240 | 158.143.188.0/22 | 158.143.188.1 to 158.143.191.254 | 158.143.191.255 | 1,022 |
| 241 | 158.143.192.0/22 | 158.143.192.1 to 158.143.195.254 | 158.143.195.255 | 1,022 |
| 242 | 158.143.196.0/22 | 158.143.196.1 to 158.143.199.254 | 158.143.199.255 | 1,022 |
| 243 | 158.143.200.0/22 | 158.143.200.1 to 158.143.203.254 | 158.143.203.255 | 1,022 |
| 244 | 158.143.204.0/22 | 158.143.204.1 to 158.143.207.254 | 158.143.207.255 | 1,022 |
| 245 | 158.143.208.0/22 | 158.143.208.1 to 158.143.211.254 | 158.143.211.255 | 1,022 |
| 246 | 158.143.212.0/22 | 158.143.212.1 to 158.143.215.254 | 158.143.215.255 | 1,022 |
| 247 | 158.143.216.0/22 | 158.143.216.1 to 158.143.219.254 | 158.143.219.255 | 1,022 |
| 248 | 158.143.220.0/22 | 158.143.220.1 to 158.143.223.254 | 158.143.223.255 | 1,022 |
| 249 | 158.143.224.0/22 | 158.143.224.1 to 158.143.227.254 | 158.143.227.255 | 1,022 |
| 250 | 158.143.228.0/22 | 158.143.228.1 to 158.143.231.254 | 158.143.231.255 | 1,022 |
| 251 | 158.143.232.0/22 | 158.143.232.1 to 158.143.235.254 | 158.143.235.255 | 1,022 |
| 252 | 158.143.236.0/22 | 158.143.236.1 to 158.143.239.254 | 158.143.239.255 | 1,022 |
| 253 | 158.143.240.0/22 | 158.143.240.1 to 158.143.243.254 | 158.143.243.255 | 1,022 |
| 254 | 158.143.244.0/22 | 158.143.244.1 to 158.143.247.254 | 158.143.247.255 | 1,022 |
| 255 | 158.143.248.0/22 | 158.143.248.1 to 158.143.251.254 | 158.143.251.255 | 1,022 |
| 256 | 158.143.252.0/22 | 158.143.252.1 to 158.143.255.254 | 158.143.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |